Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1424655 - Review Request: nodejs-accepts - Node.js module for content type negiotation
Summary: Review Request: nodejs-accepts - Node.js module for content type negiotation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zuzana Svetlikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1105148
TreeView+ depends on / blocked
 
Reported: 2017-02-17 23:51 UTC by Piotr Popieluch
Modified: 2017-02-27 19:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-27 19:28:48 UTC
zsvetlik: fedora-review+


Attachments (Terms of Use)

Description Piotr Popieluch 2017-02-17 23:51:41 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-accepts.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-accepts-1.3.3-1.fc26.src.rpm
Description: Node.js module for content type negiotation
Fedora Account System Username: piotrp

Comment 1 Zuzana Svetlikova 2017-02-21 09:47:08 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 9 files have
     unknown license. Detailed output of licensecheck in
     /home/kasicka/reviews/nodejs-accepts/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-accepts-1.3.3-1.fc26.noarch.rpm
          nodejs-accepts-1.3.3-1.fc26.src.rpm
nodejs-accepts.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-accepts.noarch: W: spelling-error Summary(en_US) negiotation -> negotiation, regimentation, negation
nodejs-accepts.noarch: W: spelling-error %description -l en_US koa -> koan, kola, oak
nodejs-accepts.noarch: W: only-non-binary-in-usr-lib
nodejs-accepts.noarch: W: dangling-symlink /usr/lib/node_modules/accepts/node_modules/mime-types /usr/lib/node_modules/mime-types
nodejs-accepts.noarch: W: dangling-symlink /usr/lib/node_modules/accepts/node_modules/negotiator /usr/lib/node_modules/negotiator
nodejs-accepts.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-accepts.src: W: spelling-error Summary(en_US) negiotation -> negotiation, regimentation, negation
nodejs-accepts.src: W: spelling-error %description -l en_US koa -> koan, kola, oak
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-accepts.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-accepts.noarch: W: spelling-error Summary(en_US) negiotation -> negotiation, regimentation, negation
nodejs-accepts.noarch: W: spelling-error %description -l en_US koa -> koan, kola, oak
nodejs-accepts.noarch: W: only-non-binary-in-usr-lib
nodejs-accepts.noarch: W: dangling-symlink /usr/lib/node_modules/accepts/node_modules/mime-types /usr/lib/node_modules/mime-types
nodejs-accepts.noarch: W: dangling-symlink /usr/lib/node_modules/accepts/node_modules/negotiator /usr/lib/node_modules/negotiator
1 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
nodejs-accepts (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(mime-types)
    npm(negotiator)



Provides
--------
nodejs-accepts:
    nodejs-accepts
    npm(accepts)



Source checksums
----------------
https://github.com/jshttp/accepts/archive/1.3.3/nodejs-accepts-1.3.3.tar.gz :
  CHECKSUM(SHA256) this package     : c3cbcfa64e997f80c16cebff6f513c8c2ccb22c248974dd59fba1160a33c796c
  CHECKSUM(SHA256) upstream package : c3cbcfa64e997f80c16cebff6f513c8c2ccb22c248974dd59fba1160a33c796c


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -n nodejs-accepts-1.3.3-1.fc26.src.rpm -r
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Piotr Popieluch 2017-02-24 21:36:39 UTC
The report seems fine but review flag is not set. Did you forget to set the flag or do you need more work on the review?

Comment 3 Zuzana Svetlikova 2017-02-27 12:13:52 UTC
I was revisiting my packaging knowledge, so I let it open in the meanwhile.
LGTM, approved.

Comment 4 Gwyn Ciesla 2017-02-27 14:00:27 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nodejs-accepts

Comment 5 Piotr Popieluch 2017-02-27 19:28:48 UTC
built in rawhide


Note You need to log in before you can comment on or make changes to this bug.